Skip to main content
GET
List Accounts

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <encoded-value>, where <encoded-value> is the base64-encoded string username:password.

Query Parameters

account_number
string

Bank account number. Filterable.

account_type
string

One of checking or savings. Filterable.

closed_date
string

Timestamp of the account closure, ISO 8601 format ('YYYY-MM-DDThh:mm:ssZ'). Limited availability. Always in UTC. Filterable.

org_id
string

ID of organization that is associated with the account. Filterable.

status
string

The status of the account. One of open, closed, or close_pending. Filterable.

tags
string[]

Array of tags associated with this account. Filterable.

page_cursor
string

Pagination cursor, value is the object ID.

page_size
integer
default:100

Limits the number of objects in the returned list, value must be a number greater than or equal to 1. Defaults to 100.

Required range: x >= 1
from_date
string

Lists the objects created on the date provided and onwards. Date must be in ISO 8601 format (“YYYY-MM-DD”).

to_date
string

Lists the objects created before the date provided. Date must be in ISO 8601 format (“YYYY-MM-DD”).

Response

200 - application/json

A dictionary with a data property that contains a list of up to page_size account elements, starting after the account described by page_cursor. If no more accounts are available, the resulting list will be empty.

data
object[]